Skip to content

Get one audit log entry

GET
/api/v1/audit-logs/{log_id}
curl --request GET \
--url https://external-api.moja-ai.com/api/v1/audit-logs/example \
--header 'X-API-Key: <X-API-Key>'
log_id
required
Log Id
string
X-API-Key
Any of:
string

Successful Response

Media typeapplication/json
AuditLogDetail
object
id
required
Id
string
org_id
required
Org Id
string
user_id
Any of:
string
user_email
Any of:
string
impersonated_by
Any of:
string
user_role
Any of:
string
is_internal
Any of:
boolean
api_key_prefix
Any of:
string
entity_type
required
Entity Type
string
entity_id
Any of:
string
entity_name
Any of:
string
action
required
Action
string
route
required
Route
string
method
required
Method
string
status_code
required
Status Code
integer
changes
Any of:
object
key
additional properties
any
trace_id
Any of:
string
client_ip
Any of:
string
user_agent
Any of:
string
created_at
required
Created At
string format: date-time
before_snapshot
Any of:
object
key
additional properties
any
after_snapshot
Any of:
object
key
additional properties
any
Examplegenerated
{
"id": "example",
"org_id": "example",
"user_id": "example",
"user_email": "example",
"impersonated_by": "example",
"user_role": "example",
"is_internal": true,
"api_key_prefix": "example",
"entity_type": "example",
"entity_id": "example",
"entity_name": "example",
"action": "example",
"route": "example",
"method": "example",
"status_code": 1,
"changes": {},
"trace_id": "example",
"client_ip": "example",
"user_agent": "example",
"created_at": "2026-04-15T12:00:00Z",
"before_snapshot": {},
"after_snapshot": {}
}

Bad Request

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Unauthorized

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Not Found

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Conflict

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}

Too Many Requests

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}